Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles

AdventurOS

Explore a unique adventure based on the content of your computer. · By Emilio, Lorena, toen

[Linux] Can't launch game because of missing libraries

A topic by Sylvhem created Sep 01, 2018 Views: 100 Replies: 4
Viewing posts 1 to 4

Hi!

I'm currently trying to run the game on Debian 9, 64-bits edition. Sadly, the game won't launch because of missing libraries.

When executing ./runner in a terminal, at first I had the following error.

./runner: error while loading shared libraries: libopenal.so.1: cannot open shared object file: No such file or directory

I fixed this by installing the libopenal:i386 package. But now, I have a new missing library

./runner: error while loading shared libraries: libcrypto.so.1.0.0: cannot open shared object file: No such file or directory

Sadly, the libssl1.0.0 doesn't seem to be still available in Debian repository.

Developer

Hello there, we are going to look into this and see if we can come up with a solution for the next patch. Sorry for the troubles, the linux version is still a bit unstable :(

Same happens on Ubuntu 18.04.

(+1)

Not sure if this will help on the newer releases, but I was able to get it working by installing the packages here: https://help.yoyogames.com/hc/en-us/articles/216754458-Setup-Ubuntu-And-GameMake...

This basically lists the requirements for GameMaker: Studio on Linux, but I figured the games would require the same libraries. I'm using Mint in a VM so the game's performance is less than stellar, but it works!

When you're installing the libssl, are you specifying the x86 package? (libssl1.0.0:x386)

I did just test it with the latest release of the game and it's running, albeit slowly. I did install the itch.io app and launched AdventurOS from there if that helps.

Developer

Thanks for the info! We will see what we can do to bundle this with the game